Subject: bug#33270: [SHEPHERD] Wrong error message when missing priviledge

From: Gábor Boskovits <[email-masked]>
Date: Mon, 5 Nov 2018 22:57:15 +0100

Hello Ricardo,

Ricardo Wurmus <[email-masked]> ezt írta (időpont: 2018. nov. 5., H, 20:50):
>
>
> swedebugia <[email-masked]> writes:
>
> > sdb@komputilo ~$ herd status
> > error: connect: /run/user/30011/shepherd/socket: No such file or directory
>

Actually this seems to be a message that can be translated to
'shepherd user instance is not running' am I correct?
I guess that way it is explicit that the command given would like to
talk to a shepherd user instance. Am I missing something here?

> It is possible to run shepherd as a user service manager.  This means
> that we can’t generally assume that the user meant to communicate with
> the init instance.
>
> The error could be that either the user’s instance is not running or
> that the user meant to communicate with the init system.  It is not
> obvious to me how to distinguish these two errors.
>
> --
> Ricardo
>
>
>
>

Best regards,
g_bor